View Issue Details

IDProjectCategoryView StatusLast Update
0004604SymmetricDS ProNew Featurepublic2021-01-12 21:28
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.5Fixed in Version3.12.5 
Summary0004604: Add file containing information about blocking processes to snapshots
DescriptionIt would be useful for snapshots to include a .csv file listing any blocking processes/queries/transactions. This file should be included in snapshots for users with MySQL, SQL Server, Postgres, or Oracle databases at a minimum.

A new monitor type should also be created to make it possible to detect when SymmetricDS transactions are blocked.

Also, the details of monitor events should be made visible on the Manage Monitors screen
TagsNo tags attached.

Relationships

related to 0004755 resolvedelong Firebird blocking transaction in support snapshot 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 57706ae7

2020-10-30 19:14:49

evan-miller-jumpmind


Committer: GitHub Details Diff
0004604: Added info about blocking processes (#119)

* 0004604: Added blocking transaction monitor and snapshot info to MySQL, SQL Server, Postgres, and Oracle DBs

* 0004604: Fixed NullPointerException and improved accuracy of MonitorTypeBlock
Affected Issues
0004604
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeBlock.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/model/Transaction.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2005DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDatabasePlatform.java Diff File

SymmetricDS: 3.12 c1ec4e36

2020-11-11 16:15:50

evan-miller-jumpmind


Committer: GitHub Details Diff
0004604: Fixed Postgres date parsing bug (#120)

* 0004604: Added blocking transaction monitor and snapshot info to MySQL, SQL Server, Postgres, and Oracle DBs

* 0004604: Fixed NullPointerException and improved accuracy of MonitorTypeBlock

* 0004604: Fixed Postgres date parsing issue
Affected Issues
0004604
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2020-10-21 20:08 emiller New Issue
2020-10-21 20:08 emiller Status new => assigned
2020-10-21 20:08 emiller Assigned To => emiller
2020-10-21 20:14 emiller Description Updated View Revisions
2020-10-27 18:54 emiller Description Updated View Revisions
2020-10-29 14:55 emiller Description Updated View Revisions
2020-10-30 20:00 Changeset attached => SymmetricDS 3.12 57706ae7
2020-11-06 15:48 emiller Description Updated View Revisions
2020-11-06 15:48 emiller Status assigned => resolved
2020-11-06 15:48 emiller Resolution open => fixed
2020-11-06 15:48 emiller Fixed in Version => 3.12.5
2020-11-09 15:23 admin Status resolved => closed
2020-11-11 17:00 Changeset attached => SymmetricDS 3.12 c1ec4e36
2021-01-12 21:28 elong Relationship added related to 0004755